# $Revision: 1.17 $, $Date: 2012/02/12 08:11:35 $
Summary:	C++ wrappers for libgnomeprintui
Summary(pl.UTF-8):	Interfejsy C++ dla libgnomeprintui
Name:		libgnomeprintuimm
Version:	2.5.2
Release:	4
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintuimm/2.5/%{name}-%{version}.tar.bz2
# Source0-md5:	e5272e207f40af5116813bb0d92b352d
URL:		http://www.gnome.org/
BuildRequires:	gtkmm-devel >= 2.4.5
BuildRequires:	libgnomeprintmm-devel >= 2.5.1
BuildRequires:	libgnomeprintui-devel >= 2.8.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnomeprintui.

%description -l pl.UTF-8
Interfejsy C++ dla libgnomeprintui.

%package devel
Summary:	Devel files for libgnomeprintuimm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomeprintuimm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.4.5
Requires:	libgnomeprintmm-devel >= 2.5.1
Requires:	libgnomeprintui-devel >= 2.8.0

%description devel
Devel files for libgnomeprintuimm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomeprintuimm.

%package static
Summary:	libgnomeprintuimm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomeprintuimm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomeprintuimm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomeprintuimm.

%prep
%setup -q

%build
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgnomeprintuimm-2.5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomeprintuimm-2.5.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomeprintuimm-2.5.so
%{_includedir}/%{name}-2.6
%{_libdir}/%{name}-2.6
%{_libdir}/%{name}-2.0
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomeprintuimm-2.5.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomeprintuimm.spec,v $
Revision 1.17  2012/02/12 08:11:35  arekm
- release 4

Revision 1.16  2011/03/27 21:47:20  wiget
- drop libtool file
- rel. 3

Revision 1.15  2008/11/16 11:32:08  arekm
- release 2

Revision 1.14  2008/01/26 15:25:33  qboosh
- fixed soname

Revision 1.13  2008-01-26 14:58:31  qboosh
- fixed deps
- added X11 to Groups
- License is LGPL (v2+)

Revision 1.12  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.10  2004/09/20 00:09:29  grzegol
- updated to 2.5.2

Revision 1.9  2004/06/08 19:34:03  grzegol
- updated to 2.5.1

Revision 1.8  2004/04/09 15:20:04  grzegol
- rel. 8 to rebuild with gtkmm-2.3.8

Revision 1.7  2004/03/31 18:26:16  grzegol
- rel. 7 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.6  2004/03/15 20:37:40  grzegol
- rel. 6 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.5  2004/03/04 16:53:41  grzegol
- rel. 5 to rebuild with gtkmm-2.3.5

Revision 1.4  2004/02/14 18:25:01  grzegol
- rel. 4 to rebuild with gtkmm-2.3.4
- updated BRs and Rs

Revision 1.3  2004/02/07 15:38:27  grzegol
- rel. 3 to rebuild with glibmm-2.3.4/gtkmm-2.3.3

Revision 1.2  2004/01/24 15:32:32  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.1  2004/01/12 19:58:44  grzegol
- new
